## gibraltar-bootcd 0.19

=== Makefile ===
CC = gcc
CFLAGS = -m386 -O2  -fomit-frame-pointer -static -Wall -W

ifneq (1,$(shell if grep __ELF__ `gcc -v 2>&1|head -n1|cut -d' ' -f4` 1>/dev/null 2>&1;then echo -n 1;fi))
  @echo ""; \
   echo "needing ELF development tools, giving up";
  exit 1;
endif

#all: linuxrc freeramdisk Makefile
all: freeramdisk listpci Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) -m386 -O2 -o freeramdisk freeramdisk.c

listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) -m386 -O2 -D__LOADER__ -fomit-frame-pointer -Wall -W \
		-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
		-lkudzu_loader -lpci -s 

clean:
	rm -f freeramdisk listpci *~ *.o
	#make -C kudzu clean

=== debian/changelog ===
gibraltar-bootcd (0.19) unstable; urgency=low

  * Changed save-etc so that it does not stop running services anymore.
    Instead, it now checks for changed files after saving.
  * Made save-config more robust (to not fail when /tmp ist not mountable).
  * Added support for the automatic creation of a ramdisk for /tmp.
  * Made the init procedure in runlevel S modifiable by starting init
    after prepareroot has been called. This is now possible because pivot_root
    is called and therefore linuxrc has control over how init is called (and
    what is done before init is called).
  * Made the automatic ramdisk creation for /var a bit more robust. Now a
    ramdisk is also created if there is an entry in /etc/fstab for mounting
    /var, but the mounting did not work.
  * Due to these changes, some script locations have changed.
    prepareroot is now under /sbin
    make-var-ramdisk is now called mountvar and is in /system/etc-static/init.d
  * Changed the name of the created RSA host key for the ssh daemon to match
    the new default values.
  * Fixed mkinitrd-cd so that the use of scsiprobe-min.dat instead of 
    scsiprobe.dat really works (when using "min" build mode").

 -- Rene Mayrhofer <rmayr@debian.org>  Thu, 14 Mar 2002 20:47:33 +0100

gibraltar-bootcd (0.18) unstable; urgency=low

  * Re-enabled pivot_root support. Now finally it works.
    Now this package only works with kernels >= 2.4.x, 2.2.x is not
    supported anymore.
  * Added parameter to mkbootimg to specify the image size.

 -- Rene Mayrhofer <rmayr@debian.org>  Wed, 16 Jan 2002 22:58:50 +0100

gibraltar-bootcd (0.17) unstable; urgency=low

  * Use pivot_root for root changing. This can prevent problems with
    future kernels and also makes the initrd script more powerful.
    UPDATE: Revert the pivot_root change since it has some problems with 
    devfs (kernel panic with kernel 2.4.17....).
  * mkinitrd-cd now accepts another parameter for specifying the size of the
    initrd image (currently two levels: minimal and full)..
    This allows the creation of 1.44 MB and 2.88 MB boot images (currently
    not supported in mkbootimg, this will be added later).
  * Made linuxrc in the initrd image more flexible when booting from a
    harddisk partition: also support ext3 and xfs filesystems now (if the
    respective modules are available for the used kernel).

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Wed,  2 Jan 2002 19:55:51 +0100

gibraltar-bootcd (0.16) unstable; urgency=low

  * Fixed a cosmetical bug in save-config: after formatting and
    creating a config disk, the correct message is displayed.
  * SAVE_AUTOFORMAT is no longer case sensitive.
  * Now an empty disk is not reformatted, it is simply used.
  * save-config now accepts parameters "--target" and "--to".
  * save-config will not unmount a harddisk partition anymore if tha partition
    is to be used as a target (it is simply used on its current mount point
    instead of being unmounted and remounted somewhere else, leaving the old
    mount point invalid).
  * Additionally a scsiprobe-min.dat file is now distributed, only containing
    a minimal set of SCSI adapters for 1.44 MB floppies.
  * During converting a configuration from the old to the new format, the
    RAM disk is now created without a size limit so that the conversion has
    enough free space to complete successfully.
  * Updated to kudzu 0.99.40.

 -- Rene Mayrhofer <rmayr@debian.org>  Fri, 19 Oct 2001 01:36:01 +0200

gibraltar-bootcd (0.15) unstable; urgency=low

  * Now tmpfs is used instead of a simple ramdisk to hold /var. This way,
    it is resizable (although a maximum limit can be specified) and only
    uses as much memory as needed. Therefore /etc/vardisk_size is not needed
    anymore, but instead of it the parameter VARDISK_SIZE is now in
    /etc/gibraltar_config and specifies the maximum size of the /var disk.
  * The configuration data from /etc is now also stored on a tmpfs
    filesytem instead of a simple ramdisk during run-time.
    Also saving of the data is now done by tar-ing the files into a
    etc.tgz file instead of packing the unmounted /etc filesystem (formerly
    ext2) as etc.gz. Loading of old configuration data (stored in the old
    etc.gz format) is still supported by the script restore-etc-old while
    the script restore-etc now handles the new format.
  * Use a new busybox version.
  * TODO: Generate freeswan x509 key and extract RSA key from it.

 -- Rene Mayrhofer <rmayr@debian.org>  Sun, 16 Sep 2001 22:06:01 +0200

gibraltar-bootcd (0.14) unstable; urgency=low

  * Added support for loading configuration from harddisk partition (in
    addition to loading from floppy).
  * Took the recent mklibs.sh file from boot-floppies version 2.3.6. Now
    creating minimal libraries for the initrd image also works with new libc
    versions.

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Tue, 10 Apr 2001 16:50:01 +0200

gibraltar-bootcd (0.13) unstable; urgency=low

  * Updated kudzu to version 0.89.2-1
  * Changed version number in bootmsg.txt to 0.98

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Mon, 15 Jan 2001 20:13:41 +0100

gibraltar-bootcd (0.12) unstable; urgency=low

  * Added the busybox source code (at the moment version 0.48) to this 
    package since the dependency on boot-floppies has always led to confusion.
    Therefore the dependency on boot-floppies is now removed.
  * expr is now also built from busybox and not copied from the local system.
  * Fixes for the new kernel 2.4 module layout.
  * Moved /etc/init.d/save-etc-disk to /sbin/save-config.
  * Added a script for automatic generation of new RSA and DSA host keys for
    the ssh daemon when booting in unconfigured mode.
  * Small bugfixes in the update-config script.

 -- Rene Mayrhofer <rene.mayrhofer@vianova.at>  Sun,  7 Jan 2001 14:57:20 +0100

gibraltar-bootcd (0.11) unstable; urgency=low



=== debian/control ===
Source: gibraltar-bootcd
Section: admin
Priority: extra
Maintainer: Rene Mayrhofer <rene.mayrhofer@vianova.at>
Standards-Version: 3.0.1
Build-Depends: debhelper, rpm, cpio, pciutils-dev, python

Package: mkinitrd-cd
Architecture: i386
Depends: ${shlibs:Depends}, dosfstools, syslinux, shellutils, makedev, gcc, glibc-pic, make
Description: Creates an initrd image suitable for booting from a live CD-ROM
 This is the package used by the Gibraltar project to create the initrd images
 used for booting from CD-ROM. The bootable CD-ROMs are actual live CD-ROMs.
 That is, the root file system is the CD-ROM, ramdisks are the only things
 needed for operation without a harddisk. Although a harddisk can be used for
 e.g. storing log files permanently or when the machine acts as a proxy 
 server.
 .
 Given a kernel image and the corresponding modules, it creates a complete
 boot image that can be written to floppy or be used as El Torito image for
 a bootable CD-ROM. Upon bootup, the initrd image will try to locate an ATAPI
 CD-ROM drive. When this does not succeed, it auto-probes for SCSI adapters 
 and tries to locate SCSI drives. It also works when multiple CD-ROM drives
 are installed in the system by checking if the inserted CD is the correct
 one for booting.
 .
 The package can be of use to developers and packagers who want to create 
 their own bootable, live Debian CD-ROM. It will probably not be of any use
 to others.

Package: gibraltar-bootsupport
Architecture: i386
Depends: ${shlibs:Depends}, bash, beep, file-rc, setcd
Recommends: libsafe, portsentry, logcheck
Description: Boot support for Gibraltar live CD-ROM
 This package contains the necessary support for the live Gibraltar CD-ROM. It
 will manage /etc and /var to be writeable and will take care of saving and
 restoring /etc.
 .
 Therefore this package should be installed on the master copy that will be
 used as the live file system on the CD-ROM. Do not install it on a system that
 boots from a harddisk partition (e.g. the development system for creating the
 bootable CD-ROMs), it will break.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp:
	dh_testdir

	# first unpack kudzu and build the kudzu library
	./build-kudzu
	# now build the listpci utility (it needs the static kudzu library)
	$(MAKE) listpci KUDZU_PATH=`pwd`/debian/tmp-build/kudzu
	$(MAKE) freeramdisk

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -rf `pwd`/debian/tmp-build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# installing the files for the mkinitrd-cd binary package
	install mkinitrd-cd/linuxrc `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-common-definitions.sh `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/ide-scsi-probe.sh `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/chown-wrapper `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install listpci `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/id.txt `pwd`/debian/mkinitrd-cd/etc/gibraltar-bootcd/
	cp mkinitrd-cd/bootmsg.txt `pwd`/debian/mkinitrd-cd/etc/gibraltar-bootcd/
	cp `pwd`/debian/tmp-build/kudzu/pcitable `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe.dat `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe-min.dat `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/syslinux.cfg `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-dev.tar.gz `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/busybox-*.tar.gz `pwd`/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/mkinitrd-cd `pwd`/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mkbootimg `pwd`/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mklibs.sh `pwd`/debian/mkinitrd-cd/usr/sbin

	# installing the files for the gibraltar-bootsupport binary package
	cp gibraltar-bootsupport/common-definitions.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/default
	cp mkinitrd-cd/ide-scsi-probe.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/default
	cp gibraltar-bootsupport/gibraltar_config `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp `pwd`/debian/tmp-build/kudzu/pcitable `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp mkinitrd-cd/scsiprobe.dat `pwd`/debian/gibraltar-bootsupport/system/etc-static
	cp gibraltar-bootsupport/config-disk.msg `pwd`/debian/gibraltar-bootsupport/system
	cp gibraltar-bootsupport/var-defaults.tar.gz `pwd`/debian/gibraltar-bootsupport/system
	install gibraltar-bootsupport/make-var-ramdisk `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
	install gibraltar-bootsupport/save-etc `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc-old `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/update-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/convert-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/prepareroot `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/save-config `pwd`/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/setup-unconfigured.sh `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unlock-cddrive `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/setup.d/00network-cards `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/01set-ip-addresses `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/minimum-system `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-conf `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-getty `pwd`/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/scripts/post-save `pwd`/debian/gibraltar-bootsupport/system/scripts
	install gibraltar-bootsupport/scripts/pre-save `pwd`/debian/gibraltar-bootsupport/system/scripts
	install listpci `pwd`/debian/gibraltar-bootsupport/sbin
	install freeramdisk `pwd`/debian/gibraltar-bootsupport/sbin
	ln -s /sbin/save-config `pwd`/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
	#ln -s /system/etc-static/default `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/init.d `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/setup.d `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/runlevel.conf `pwd`/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/pcitable `pwd`/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/scsiprobe.dat `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/gibraltar_config `pwd`/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/gibraltar_version `pwd`/debian/gibraltar-bootsupport/etc/


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=prepareroot -- prepareroot start 01 S .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .
#	dh_installcron
	dh_installmanpages kudzu/kudzu.1
#	dh_installinfo
	dh_undocumented mkinitrd-cd.8 mkbootimg.8
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
# nothing to do here
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	make -f debian/rules binary-common DH_OPTIONS=-a

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gibraltar-bootcd 0.31

=== Makefile ===
CC = gcc
LDFLAGS = 
CFLAGS = -march=i386 -O2  -fomit-frame-pointer -Wall -W

#all: linuxrc freeramdisk Makefile
all: freeramdisk listpci listpci.static Makefile

#linuxrc: linuxrc.c
#	$(CC) $(CFLAGS) -o linuxrc linuxrc.c

freeramdisk: freeramdisk.c
	$(CC) $(CFLAGS) -static -o freeramdisk freeramdisk.c

listpci: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) $(CFLAGS) $(LDFLAGS) -D__LOADER \
        	-o listpci listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
                -lkudzu_loader -L. -lpci -s

listpci.static: listpci.c $(KUDZU_PATH)/libkudzu_loader.a 
	$(CC) $(CFLAGS) $(LDFLAGS) -static -D__LOADER \
        	-o listpci.static listpci.c -L$(KUDZU_PATH) -I$(KUDZU_PATH) \
                -lkudzu_loader -L. -lpci -s

clean:
	rm -f freeramdisk listpci *~ *.o
	#make -C kudzu clean

=== debian/changelog ===
gibraltar-bootcd (0.31) unstable; urgency=low

  * Updated busybox to 1.00-pre8.
  * With the newest update of uclibc-toolchain (to 0.9.26), it finally works
    again with initrd images - 0.9.23 just seems to be broken in this regards.
    Made busybox compile again with the newer uclibc-toolchain (a few changes
    were necessary due to changed library directories). Also depend on the 
    new one now now - shouldn't be an issue for woody users, uclibc should be
    rather easy to backport.
    Closes: #234373: mkinitrd-cd: A number of internal inconsistencies in 
                     paths and naming
            #228979: mkinitrd-cd: busybox build error (doesn't work with 
                     uclibc* 0.9.23, latest version in sarge?) 
            #228980: mkinitrd-cd: busybox bulid error (doesn't work with 
                     uclibc* 0.9.23, latest version in sarge?) 
  * Fix some corner cases in the patchme script, but this made it a lot more
    complex - two stage instead of one stage. However, the call semantics have
    not changed.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Thu, 29 Jan 2004 09:30:00 +0100

gibraltar-bootcd (0.30) unstable; urgency=low

  * gibraltar-bootsupport: Automatically remove patches when they are
    either for an older version or have an invalid signature.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 19 Jan 2004 17:51:28 +0100

gibraltar-bootcd (0.29) unstable; urgency=low

  * mkinitrd-cd: Add support for booting from USB mass storage devices.
  * mkinitrd-cd: Add support for booting from USB CD-ROM/DVD drives. Please
    test this as I do not have a USB CD-ROM to test it with - this is just a
    blind shot at making it work (with a bit of help from the first, tested
    item :) ).
  * mkinitrd-cd: Add support for booting from an ISO image that is stored on
    some harddisk partition.
  * gibraltar-bootsupport: Add online patching support via the scripts patchme,
    patchall-local and patchall-online.
  * gibraltar-bootsupport: Remove the services* files, they are no longer
    needed.
  * Update documentation to explain all current mkinitrd-cd boot parameters 
    and the new USB mass storage boot feature.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Thu, 18 Dec 2003 14:31:44 +0100

gibraltar-bootcd (0.28) unstable; urgency=low

  * Fixed the cosmetical problem with echo in the initrd: now linuxrc uses
    echo explicitly with "-n" and "-e" each time and doesn't use "\n" escapes
    anymore (which are not interpreted by the busybox echo).
  * Also use "-e" for ide-scsi-probe.sh, which is also called from initrd.
  * Check if the system even has a floppy in prepareroot and save-config.
  * Add some parameters to mail-file.
  * Start the network interfaces in unconfigure mode via "ifup" instead of
    directly adding the ip addresses via "ip addr add". This allows better
    integration with ifup/ifdown.
  * Generate a CA and a signed certificate for IPSec instead of only a self-
    signed certificate.
  * Use the new name for the uClibC gcc wrapper.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Fri, 26 Sep 2003 09:38:43 +0200

gibraltar-bootcd (0.27) unstable; urgency=low

  * Fix for kernel 2.4.22 - the IDE modules have been renamed to ide-core.o 
    and ide-detect.o. Thanks to upstream for changing the module names _again_.
  * Updated to busybox 1.00-pre2, because the insmod from busybox 0.60.5 was
    unable to deal with the EXPORT_SYMBOL_GPL stuff in newer kernels. Thus 
    starting with kernel 2.4.21, the IDE support did no longer load when
    compiled as modules (the symbol is now exported as GPLONLY_* by the kernel
    modules and insmod has to be aware of that).
  * busybox 1.00-pre2 has a usable ash-compatible shell, so dash is no longer
    needed.
  * Build the listpci binary for use in mkinitrd-cd and the busybox binary
    with uClibc. This reduces the initrd image size signifcantly.
    Thus, no longer depend on the (large) libc6-dev and libc6-pic.

    However, since this package needs libpci, I currently need to ship a 
    version of libpci.a (static lib) compiled for uClibc with this package. 
    This is a terrible hack, but I don't know how to make it better without
    shipping the libpci source code. Currently, this also holds true for an
    insmod binary shipped with this package (which will go away with busybox
    1.0 final, which should include full insmod support _with_ GPLONLY symbol
    handling). Both binaries are simple recompiles of the version in
    modutils (2.4.21-3) and pciutils (2.1.11-2) with CC=i386-uclibc-gcc.
  * mkinitrd-cd recommends mkisofs. Thanks to Niall Young for pointing this 
    out.
  * mkinitrd-cd now depends on mtools because mkbootimg uses mcopy.
  * Changed priority from optional to extra to comply with the overrides file 
    and get rid of the warnings on each upload.
  * Now the 01set-ip-addresses script in setup.d not only sets the IP address
    immediately on the device, but also writes a configuration block to
    /etc/network/interfaces with the acquired data.
  * Add the /bin/mail-file script to gibraltar-bootsupport, which will simply
    mail a local file as an attachment to some recipient.
  * Get rid of some kernel output during loading of modules in prepareroot.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 28 Jul 2003 18:44:54 +0200

gibraltar-bootcd (0.26) unstable; urgency=low

  * Add the "usb" target to save-config, which tries different USB mass
    storage devices.
  * Add a help text to save-config.
  * Enhance the "source" target so that it tries USB and floppy targets
    when config_source is not set.
  * Beautify some script output and increase consistency of texts.
  * Rework the USB mass storage device detection routine - it's much cleaner
    and far more reliable now.
  * Really bump standards version to 3.6.0 (it was empty in the control file).
  * Acknowledge changes of depends.
    Closes: #175677, #176319


=== debian/control ===
Source: gibraltar-bootcd
Section: admin
Priority: extra
Maintainer: Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
Standards-Version: 3.6.0
Build-Depends: debhelper (>= 4.0.0), rpm, cpio, pciutils-dev, python, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)

Package: mkinitrd-cd
Architecture: i386
Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, hwdata (>= 0.64-1), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
Recommends: mkisofs
Description: Creates an initrd image for booting from a live CD-ROM or USB device
 This is the package used by the Gibraltar project to create the initrd images
 used for booting from CD-ROM or USB sticks. The bootable CD-ROMs or USB 
 mass storage devices are actual live CD-ROMs respective live filesystems.
 That is, the root file system is the CD-ROM or an image on the USB device, 
 ramdisks are the only things needed for operation without a hard disk. 
 Although a harddisk can be used for e.g. storing log files permanently or 
 when the machine acts as a proxy server.
 .
 Given a kernel image and the corresponding modules, it creates a complete
 boot image that can be written to floppy or be used as El Torito image for
 a bootable CD-ROM. Additionally, it is possible to create an initrd image to 
 be used on a USB stick (e.g. with syslinux). Upon bootup, the initrd image 
 will try to locate an ATAPI CD-ROM drive or a USB mass storage device. When 
 this does not succeed, it auto-probes for SCSI adapters and tries to locate 
 SCSI drives. It also works when multiple CD-ROM drives are installed in the 
 system by checking if the inserted CD is the correct one for booting.
 .
 The package can be of use to developers and packagers who want to create 
 their own bootable, live Debian CD-ROM or bootable, live Debian USB stick. 
 It will probably not be of any use to others.

Package: gibraltar-bootsupport
Architecture: i386
Depends: ${shlibs:Depends}, beep, file-rc, setcd, hwdata (>= 0.64-1)
Recommends: libsafe, logcheck
Description: Boot support for Gibraltar live CD-ROM
 This package contains the necessary support for the live Gibraltar CD-ROM. It
 will manage /etc and /var to be writeable and will take care of saving and
 restoring /etc.
 .
 Therefore this package should be installed on the master copy that will be
 used as the live file system on the CD-ROM. Do not install it on a system that
 boots from a harddisk partition (e.g. the development system for creating the
 bootable CD-ROMs), it will break.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

topdir=$(shell pwd)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp:
	dh_testdir

	# first unpack kudzu and build the kudzu library
	./build-kudzu
	# now build the listpci utility (it needs the static kudzu library)
	$(MAKE) listpci KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
	$(MAKE) listpci.static KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
	$(MAKE) freeramdisk

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -rf $(topdir)/debian/tmp-build

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# installing the files for the mkinitrd-cd binary package
	install mkinitrd-cd/linuxrc $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/busybox-*.tar.bz2 $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-common-definitions.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/chown-wrapper $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install listpci $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install insmod $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/id.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
	cp mkinitrd-cd/bootmsg.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/scsiprobe-min.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/syslinux.cfg $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	cp mkinitrd-cd/initrd-dev.tar.gz $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
	install mkinitrd-cd/mkinitrd-cd $(topdir)/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mkbootimg $(topdir)/debian/mkinitrd-cd/usr/sbin
	install mkinitrd-cd/mklibs.sh $(topdir)/debian/mkinitrd-cd/usr/sbin

	# installing the files for the gibraltar-bootsupport binary package
	cp gibraltar-bootsupport/common-definitions.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
	cp gibraltar-bootsupport/gibraltar-keyring.gpg $(topdir)/debian/gibraltar-bootsupport/usr/share/keyrings
	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
	cp gibraltar-bootsupport/config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp gibraltar-bootsupport/update-excludes $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
	cp gibraltar-bootsupport/config-disk.msg $(topdir)/debian/gibraltar-bootsupport/system
	cp gibraltar-bootsupport/var-defaults.tar.gz $(topdir)/debian/gibraltar-bootsupport/system
	install gibraltar-bootsupport/make-var-ramdisk $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/mountvar
	install gibraltar-bootsupport/save-etc $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/restore-etc-old $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/update-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/convert-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/prepareroot $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/save-config $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchme $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unlock-cddrive $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/unmount-initrd $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
	install gibraltar-bootsupport/setup.d/00network-cards $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/01set-ip-addresses $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/gen-ipsec-hostkey $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/minimum-system $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-conf $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/setup.d/serial-getty $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
	install gibraltar-bootsupport/scripts/post-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
	install gibraltar-bootsupport/scripts/pre-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
	install listpci.static $(topdir)/debian/gibraltar-bootsupport/sbin/listpci
	install freeramdisk $(topdir)/debian/gibraltar-bootsupport/sbin
	ln -s /sbin/save-config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
	#ln -s /system/etc-static/default $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/init.d $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/setup.d $(topdir)/debian/gibraltar-bootsupport/etc/
	#ln -s /system/etc-static/runlevel.conf $(topdir)/debian/gibraltar-bootsupport/etc/
	ln -s /system/etc-static/gibraltar/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	ln -s /system/etc-static/gibraltar/update-excludes $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	#ln -s /system/etc-static/gibraltar/config $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/
	#ln -s /system/etc-static/gibraltar/version $(topdir)/debian/gibraltar-bootsupport/etc/gibraltar/


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=prepareroot -- prepareroot start 01 S .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=save-etc-disk -- prepareroot start 39 0 6 .
#	dh_installinit -pgibraltar-bootsupport --no-restart-on-upgrade \
#		--init-script=setup-unconfigured.sh -- prepareroot start 70 S .
#	dh_installcron
	dh_installmanpages kudzu/kudzu.1
#	dh_installinfo
	dh_undocumented mkinitrd-cd.8 mkbootimg.8
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## gibraltar-bootcd 0.40

=== debian/changelog ===
gibraltar-bootcd (0.40) unstable; urgency=low

  * mkinitrd-cd/gibraltar-bootsupport: Switched from kudzu to discover, 
    since it is preferred by Debian and many other projects. Now the 
    auto-detection from initrd works again (kudzu was broken with uclibc 
    in the last few releases of this package).
    Now the package follows another approach while building: only the busybox
    source code is shipped with the source package, but no longer the sources
    necessary to build the discover support. During building, three Debian
    source packages (curl, expat and discover) will be downloaded and built
    using the uclibc toolchain. The resulting discover binary is still 4 times
    larger than the previous, self-written, kudzu-based "listpci", but this 
    seems to be the way to go for the next years.
  * mkinitrd-cd: Updated to busybox 1.00 final.
  * mkinitrd-cd/gibraltar-bootsupport: Refactored some code in the shell 
    scripts to move common code into shared scripts.
  * mkinitrd-cd: Renamed ide-scsi-probe.sh to probe-devs.sh, as it no longer 
    is restricted to IDE and SCSI controllers. With the usage of discover, it 
    now contains shell scriptlets to probe for IDE, SCSI and USB controllers 
    and network adapters.
  * mkinitrd-cd: Use mktemp to generate temporary directory filenames instead 
    of the PID. It's more secure.
  * mkinitrd-cd: Enabled building the md5sum applet into busybox in 
    preparation of the on-boot update functionality that is currently planned.
  * mkinitrd-cd: Removed the insmod binary that has been shipped with the 
    sourc package until now. The insmod implementation of busybox 1.00 final 
    seems to work correctly in all tested cases and can therefore finally be 
    use again.
  * mkinitrd-cd: Added the ext2 and xfs modules to hdboot_additional_modules 
    in mkinitrd-cd and HDBOOT_FILESYSTEMS in linuxrc.
    Closes: #238468: ext2 -> HDBOOT_FILESYSTEMS and hdboot_additional_modules
  * mkinitrd-cd: Enabled building the paste binary with uclibc, as it is 
    needed for post-processing the discover output in initrd.
  * gibraltar-bootsupport: Acknowledge NMU upload to conflict with loadlin 
    (due to /sbin/freeramdisk).
    Closes: #274761: gibraltar-bootsupport, loadlin: gibraltar-bootsupport 
                     and loadlin have a conflicting file

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Fri, 17 Dec 2004 14:29:44 +0100

gibraltar-bootcd (0.33) unstable; urgency=low

  * gibraltar_bootsupport: Added support for auto-generating certificates for 
    SMTP-TLS.
  * mkinitrd-cd: Added support for loading Compaq CCISS support modules.
  * mkinitrd-cd: Added support for booting the USB version from CF cards
    that are connected directly to the IDE bus. Added an "appliance" option
    for syslinux.cfg.
  * Updated kudzu to version 1.1.17-1 to get newer hardware IDs.
  * Increased the default RAM disk size from 2048 to 4096kB, the initrd image
    grew too large.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Mon, 12 Jul 2004 11:21:58 +0200

gibraltar-bootcd (0.32) unstable; urgency=low

  * Change the priority to optional so that it matches the override file.
  * Now really ship the pciutils source code and compile libpci upon package
    building - the last version caused a listpci segfault in initrd because
    libpci was build with an older uclibc. Should be fixed now one for all
    (and this package actually ships source instead of a binary again).
  * Update the /var tree in mountvar if it is already mounted, there might be
    new directories or files in var-defaults.tar.gz.
  * In patchme, an error message was printed erroneously, when the patch
    worked perfectly afterwards. Corrected that by simple removing the error
    message.
  * Fixed patchme again and made it more robust with regards to resizing file
    systems.
  * patchme now also support binary diffs via xdelta and now copes with them
    if they are contained in the patch file.
  * Fixed another two small errors in patchme when a link was contained in the
    patch file or a new directory was created.
  * Added the 'send-popup' script to the gibraltar-bootsupport package to
    send NetBIOS popup messages to hosts by their IP address.

 -- Rene Mayrhofer <rene@mayrhofer.eu.org>  Sun, 29 Feb 2004 14:09:05 +0100

gibraltar-bootcd (0.31-0.1) unstable; urgency=high

 * Non-maintainer upload.
 * Add Conflicts from gibraltar-bootsupport on loadlin
   (Closes: #274761)

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 12 Oct 2004 00:48:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: gibraltar-bootcd
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Rene Mayrhofer <rene.mayrhofer@gibraltar.at>
 Standards-Version: 3.6.0
-Build-Depends: debhelper (>= 4.0.0), rpm, cpio, pciutils-dev, python, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Build-Depends: debhelper (>= 4.0.0), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 
 Package: mkinitrd-cd
 Architecture: i386
-Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, hwdata (>= 0.64-1), uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
+Depends: ${shlibs:Depends}, dosfstools, mtools, syslinux (>= 2.00-1), makedev, gcc, make, discover-data, uclibc-toolchain (>= 0.9.26-1), libuclibc-dev (>= 0.9.26-1)
 Recommends: mkisofs
 Description: Creates an initrd image for booting from a live CD-ROM or USB device
  This is the package used by the Gibraltar project to create the initrd images
@@ -33,8 +33,9 @@
 
 Package: gibraltar-bootsupport
 Architecture: i386
-Depends: ${shlibs:Depends}, beep, file-rc, setcd, hwdata (>= 0.64-1)
+Depends: ${shlibs:Depends}, beep, file-rc, setcd, discover, discover-data
 Recommends: libsafe, logcheck
+Conflicts: loadlin
 Description: Boot support for Gibraltar live CD-ROM
  This package contains the necessary support for the live Gibraltar CD-ROM. It
  will manage /etc and /var to be writeable and will take care of saving and

=== debian/rules ===
--- 
+++ 
@@ -24,11 +24,12 @@
 build-stamp:
 	dh_testdir
 
-	# first unpack kudzu and build the kudzu library
-	./build-kudzu
-	# now build the listpci utility (it needs the static kudzu library)
-	$(MAKE) listpci KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
-	$(MAKE) listpci.static KUDZU_PATH=$(topdir)/debian/tmp-build/kudzu CC=i386-uclibc-linux-gcc
+	# build discover and paste with uclibc
+	( mkdir $(topdir)/debian/tmp-build/; \
+	cd $(topdir)/debian/tmp-build; \
+	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-discover; \
+	INSTALL_PATH=$(topdir)/debian/tmp-build/ $(topdir)/build-paste )
+	# now build the freeramdisk binary
 	$(MAKE) freeramdisk
 
 	touch build-stamp
@@ -55,16 +56,18 @@
 	install mkinitrd-cd/linuxrc $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/busybox-*.tar.bz2 $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/initrd-common-definitions.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	install mkinitrd-cd/chown-wrapper $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	install listpci $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
-	install insmod $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+#######	install insmod $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	install $(topdir)/debian/tmp-build/discover $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	install $(topdir)/debian/tmp-build/paste $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/id.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
 	cp mkinitrd-cd/bootmsg.txt $(topdir)/debian/mkinitrd-cd/etc/mkinitrd-cd/
 	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/scsiprobe-min.dat $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/syslinux.cfg $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	cp mkinitrd-cd/initrd-dev.tar.gz $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
+	cp mkinitrd-cd/discover.conf $(topdir)/debian/mkinitrd-cd/usr/share/mkinitrd-cd/
 	install mkinitrd-cd/mkinitrd-cd $(topdir)/debian/mkinitrd-cd/usr/sbin
 	install mkinitrd-cd/mkbootimg $(topdir)/debian/mkinitrd-cd/usr/sbin
 	install mkinitrd-cd/mklibs.sh $(topdir)/debian/mkinitrd-cd/usr/sbin
@@ -72,7 +75,7 @@
 	# installing the files for the gibraltar-bootsupport binary package
 	cp gibraltar-bootsupport/common-definitions.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
 	cp gibraltar-bootsupport/gibraltar-keyring.gpg $(topdir)/debian/gibraltar-bootsupport/usr/share/keyrings
-	cp mkinitrd-cd/ide-scsi-probe.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
+	cp mkinitrd-cd/probe-devs.sh $(topdir)/debian/gibraltar-bootsupport/usr/lib/gibraltar-bootsupport
 	cp gibraltar-bootsupport/config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
 	cp gibraltar-bootsupport/update-excludes $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
 	cp mkinitrd-cd/scsiprobe.dat $(topdir)/debian/gibraltar-bootsupport/system/etc-static/gibraltar
@@ -90,19 +93,19 @@
 	install gibraltar-bootsupport/patchall-local $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/patchall-online $(topdir)/debian/gibraltar-bootsupport/sbin
 	install gibraltar-bootsupport/mail-file $(topdir)/debian/gibraltar-bootsupport/bin
+	install gibraltar-bootsupport/send-popup $(topdir)/debian/gibraltar-bootsupport/bin
 	install gibraltar-bootsupport/setup-unconfigured.sh $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/unlock-cddrive $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/unmount-initrd $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d
 	install gibraltar-bootsupport/setup.d/00network-cards $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/01set-ip-addresses $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/gen-ssh-hostkeys $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
-	install gibraltar-bootsupport/setup.d/gen-ipsec-hostkey $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
+	install gibraltar-bootsupport/setup.d/gen-certificates $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/minimum-system $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/serial-conf $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/setup.d/serial-getty $(topdir)/debian/gibraltar-bootsupport/system/etc-static/setup.d
 	install gibraltar-bootsupport/scripts/post-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
 	install gibraltar-bootsupport/scripts/pre-save $(topdir)/debian/gibraltar-bootsupport/system/scripts
-	install listpci.static $(topdir)/debian/gibraltar-bootsupport/sbin/listpci
 	install freeramdisk $(topdir)/debian/gibraltar-bootsupport/sbin
 	ln -s /sbin/save-config $(topdir)/debian/gibraltar-bootsupport/system/etc-static/init.d/save-etc-disk
 	#ln -s /system/etc-static/default $(topdir)/debian/gibraltar-bootsupport/etc/
@@ -143,13 +146,3 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-#	dh_suidregister
-#	dh_makeshlibs
-	dh_installdeb
-#	dh_perl
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
